#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,b;
    cin>>n>>b;

    for(int i=0;i<b;i++){
       int br=0;
       int o,j=1;
       cin>>o;
       while(j<o+1){
     if(o%j==0){
        br+=j;
     }
        j++;
    }
    int a;
    if(br%2==0)
        a=br/2;
    else
        a=br/2+1;
    if(br==2)
        a=3;
    if(br==4)
        a=7;
    cout<<a<<" ";
    }
    return 0;
}